# IRdRenderAttributes Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
| Clear the contents of the object.
HRESULT | SetForceAttribs ([in] BOOL bMode)
HRESULT | SetFaceOpacity ([in] float fOpacity)
HRESULT | SetPointOpacity ([in] float fOpacity)
HRESULT | SetWireOpacity ([in] float fOpacity)
HRESULT | SetHighlightOpacity ([in] float fOpacity)
HRESULT | SetShowHiddenFaces ([in] BOOL bMode)
HRESULT | SetShowHiddenLines ([in] BOOL bMode)
HRESULT | SetRenderTwoSided ([in] BOOL bMode)
HRESULT | SetPointSize ([in] BOOL bIsForced,[in] float fPointSize)
HRESULT | SetPointColor ([in] BOOL bIsForced,[in] float fRed,[in] float fGreen,[in] float fBlue)
HRESULT | SetWireColor ([in] BOOL bIsForced,[in] float fRed,[in] float fGreen,[in] float fBlue)
HRESULT | SetHighlightColor ([in] BOOL bIsForced,[in] float fRed,[in] float fGreen,[in] float fBlue)
HRESULT | SetPointColorObj ([in] BOOL bIsForced,[in] IRdColor *pColor)
HRESULT | SetWireColorObj ([in] BOOL bIsForced,[in] IRdColor *pColor)
HRESULT | SetHighlightColorObj ([in] BOOL bIsForced,[in] IRdColor *pColor)
HRESULT | SetInvisible ([in] BOOL bMode)
HRESULT | SetCastShadows ([in] BOOL bMode)
HRESULT | SetReceiveShadows ([in] BOOL bMode)
HRESULT | SetLayerIndex ([in] RtDWORD dwIndex)
HRESULT | GetForceAttribs ([out, retval] BOOL *bMode)
HRESULT | GetFaceOpacity ([out, retval] float *fOpacity)
HRESULT | GetPointOpacity ([out, retval] float *fOpacity)
HRESULT | GetWireOpacity ([out, retval] float *fOpacity)
HRESULT | GetHighlightOpacity ([out, retval] float *fOpacity)
HRESULT | GetShowHiddenFaces ([out, retval] BOOL *bMode)
HRESULT | GetShowHiddenLines ([out, retval] BOOL *bMode)
HRESULT | GetRenderTwoSided ([out, retval] BOOL *bMode)
HRESULT | GetPointSize ([out] BOOL *bIsForced,[out] float *fPointSize)
HRESULT | GetPointColor ([out] BOOL *bIsForced,[out] float *fRed,[out] float *fGreen,[out] float *fBlue)
HRESULT | GetWireColor ([out] BOOL *bIsForced,[out] float *fRed,[out] float *fGreen,[out] float *fBlue)
HRESULT | GetHighlightColor ([out] BOOL *bIsForced,[out] float *fRed,[out] float *fGreen,[out] float *fBlue)
HRESULT | GetInvisible ([out, retval] BOOL *bMode)
HRESULT | GetCastShadows ([out, retval] BOOL *bMode)
HRESULT | GetReceiveShadows ([out, retval] BOOL *bMode)
HRESULT | GetLayerIndex ([out, retval] RtDWORD *dwIndex)
HRESULT | SetOverlayColor ([in] BOOL bEnable,[in] float fRed,[in] float fGreen,[in] float fBlue,[in] float fIntensity)
HRESULT | GetOverlayColor ([out] BOOL *bEnable,[out] float *fRed,[out] float *fGreen,[out] float *fBlue,[out] float *fIntensity)

## Detailed Description

This dataobject represents the common render attributes of entity in the scene.

## Member Function Documentation

HRESULT IRdRenderAttributes::Clear | ( | void |  | ) |

Clear the contents of the object.

HRESULT IRdRenderAttributes::SetForceAttribs | ( | [in] BOOL | bMode | ) |

Set whether these attributes are forced to be used or a combination of parent attributes entity can be used.

Parameters:

  | bMode | [in] Specifies the forced mode (true) or standard mode (false).

HRESULT IRdRenderAttributes::SetFaceOpacity | ( | [in] float | fOpacity | ) |

Set the opacity of the faces.

Parameters:

  | fOpacity | [in] Specifies the opacity.

HRESULT IRdRenderAttributes::SetPointOpacity | ( | [in] float | fOpacity | ) |

Set the opacity of the vertices (points).

Parameters:

  | fOpacity | [in] Specifies the opacity.

HRESULT IRdRenderAttributes::SetWireOpacity | ( | [in] float | fOpacity | ) |

Set the opacity of the edges.

Parameters:

  | fOpacity | [in] Specifies the opacity.

HRESULT IRdRenderAttributes::SetHighlightOpacity | ( | [in] float | fOpacity | ) |

Set the highlight of the edges.

Parameters:

  | fOpacity | [in] Specifies the opacity.

HRESULT IRdRenderAttributes::SetShowHiddenFaces | ( | [in] BOOL | bMode | ) |

Specifies whether hidden faces should be rendered (by disabling or enabling z-buffer pre-render prior to rendering entity).

Parameters:

  | bMode | [in] Specifies the hidden faces rendering mode.

HRESULT IRdRenderAttributes::SetShowHiddenLines | ( | [in] BOOL | bMode | ) |

Specifies whether to show hidden lines of wireframe, point or highlights (by disabling or enabling z-buffer prerender).

Parameters:

  | bMode | [in] Specifies the wireframe, highlight and point rendering mode.

HRESULT IRdRenderAttributes::SetRenderTwoSided | ( | [in] BOOL | bMode | ) |

Specifies whether entity should be rendered as two sided (true) or not (false).

Parameters:

  | bMode | [in] Specifies the two-sided rendering mode.

HRESULT IRdRenderAttributes::SetPointSize | ( | [in] BOOL | bIsForced,
|  | [in] float | fPointSize |
| ) |  |  |

Set the size of the points.

Parameters:

  | bIsForced | [in] Specifies whether this size should replace the size stored in each vertex (true) or not (false).
  | fPointSize | [in] Specifies the size of the point.

HRESULT IRdRenderAttributes::SetPointColor | ( | [in] BOOL | bIsForced,
|  | [in] float | fRed,
|  | [in] float | fGreen,
|  | [in] float | fBlue |
| ) |  |  |

Set the color of the points.

Parameters:

  | bIsForced | [in] Specifies whether this color should replace the value stored in each vertex (true) or not (false).
  | fRed | [in] Specifies the red color component.
  | fGreen | [in] Specifies the green color component.
  | fBlue | [in] Specifies the blue color component.

HRESULT IRdRenderAttributes::SetWireColor | ( | [in] BOOL | bIsForced,
|  | [in] float | fRed,
|  | [in] float | fGreen,
|  | [in] float | fBlue |
| ) |  |  |

Set the color of the edges.

Parameters:

  | bIsForced | [in] Specifies whether this color should replace the value stored in each edge (true) or not (false).
  | fRed | [in] Specifies the red color component.
  | fGreen | [in] Specifies the green color component.
  | fBlue | [in] Specifies the blue color component.

HRESULT IRdRenderAttributes::SetHighlightColor | ( | [in] BOOL | bIsForced,
|  | [in] float | fRed,
|  | [in] float | fGreen,
|  | [in] float | fBlue |
| ) |  |  |

Set the color of the highlight.

Parameters:

  | bIsForced | [in] Specifies whether this color should replace the value stored in each triangle (true) or not (false).
  | fRed | [in] Specifies the red color component.
  | fGreen | [in] Specifies the green color component.
  | fBlue | [in] Specifies the blue color component.

HRESULT IRdRenderAttributes::SetPointColorObj | ( | [in] BOOL | bIsForced,
|  | [in] IRdColor * | pColor |
| ) |  |  |

Set the color of the points.

Parameters:

  | bIsForced | [in] Specifies whether this color should replace the value stored in each vertex (true) or not (false).
  | pColor | [in] Specifies the color object.

HRESULT IRdRenderAttributes::SetWireColorObj | ( | [in] BOOL | bIsForced,
|  | [in] IRdColor * | pColor |
| ) |  |  |

Set the color of the edges.

Parameters:

  | bIsForced | specifies whether this color should replace the value stored in each edge (true) or not (false).
  | pColor | specifies the color object.

HRESULT IRdRenderAttributes::SetHighlightColorObj | ( | [in] BOOL | bIsForced,
|  | [in] IRdColor * | pColor |
| ) |  |  |

Set the color of the highlight.

Parameters:

  | bIsForced | [in] Specifies whether this color should replace the value stored in each triangle (true) or not (false).
  | pColor | [in] Specifies the color object.

HRESULT IRdRenderAttributes::SetInvisible | ( | [in] BOOL | bMode | ) |

Set visibility of the entity.

Parameters:

  | bMode | [in] Specifies the visible mode (true) or invisible mode (false).

HRESULT IRdRenderAttributes::SetCastShadows | ( | [in] BOOL | bMode | ) |

Set shadow casting ability of the entity.

Parameters:

  | bMode | [in] Specifies that shadows can be casted (true) or not casted (false).

HRESULT IRdRenderAttributes::SetReceiveShadows | ( | [in] BOOL | bMode | ) |

Set shadow receiving ability of the entity.

Parameters:

  | bMode | [in] Specifies that shadows can be received (true) or not received (false).

HRESULT IRdRenderAttributes::SetLayerIndex | ( | [in] RtDWORD | dwIndex | ) |

Set the index of the geometry layer.

Parameters:

  | dwIndex | [in] Specifies the layer of the geometry.

HRESULT IRdRenderAttributes::GetForceAttribs | ( | [out, retval] BOOL * | bMode | ) |

Get status of the forced mode.

Returns:
  bMode [out,retval] Is filled with the forced mode (true) or standard mode (false).

HRESULT IRdRenderAttributes::GetFaceOpacity | ( | [out, retval] float * | fOpacity | ) |

Get the opacity of the faces.

Returns:
  fOpacity [out,retval] Is filled with the opacity.

HRESULT IRdRenderAttributes::GetPointOpacity | ( | [out, retval] float * | fOpacity | ) |

Get the opacity of the vertices (points).

Returns:
  fOpacity [out,retval] Is filled with the opacity.

HRESULT IRdRenderAttributes::GetWireOpacity | ( | [out, retval] float * | fOpacity | ) |

Get the opacity of the edges.

Returns:
  fOpacity [out,retval] Is filled with the opacity.

HRESULT IRdRenderAttributes::GetHighlightOpacity | ( | [out, retval] float * | fOpacity | ) |

Get the opacity of the face highlight.

Returns:
  fOpacity [out,retval] Is filled with the opacity.

HRESULT IRdRenderAttributes::GetShowHiddenFaces | ( | [out, retval] BOOL * | bMode | ) |

Specifies whether hidden faces should be rendered (by disabling or enabling z-buffer pre-render prior to rendering entity).

Returns:
  bMode [out,retval] Specifies the hidden faces rendering mode.

HRESULT IRdRenderAttributes::GetShowHiddenLines | ( | [out, retval] BOOL * | bMode | ) |

Specifies whether to show hidden lines of wireframe, point or highlights (by disabling or enabling z-buffer pre-render).

Returns:
  bMode [out,retval] Specifies the wireframe, highlight and point rendering mode.

HRESULT IRdRenderAttributes::GetRenderTwoSided | ( | [out, retval] BOOL * | bMode | ) |

Get the two sided rendering mode status.

Returns:
  bMode [out,retval] Is filled with the two-sided rendering mode.

HRESULT IRdRenderAttributes::GetPointSize | ( | [out] BOOL * | bIsForced,
|  | [out] float * | fPointSize |
| ) |  |  |

Get the size of the points.

Parameters:

  | bIsForced | [out] Is filled with boolean value which specifies whether this size should replace the size stored in each vertex (true) or not (false)
  | fPointSize | [out] Is filled with the size of the point.

HRESULT IRdRenderAttributes::GetPointColor | ( | [out] BOOL * | bIsForced,
|  | [out] float * | fRed,
|  | [out] float * | fGreen,
|  | [out] float * | fBlue |
| ) |  |  |

Get the color of the points.

Parameters:

  | bIsForced | [out] Is filled with boolean value which specifies whether this color should replace the value stored in each vertex (true) or not (false)
  | fRed | [out] Is filled with the red color component.
  | fGreen | [out] Is filled with the green color component.
  | fBlue | [out] Is filled with the blue color component.

HRESULT IRdRenderAttributes::GetWireColor | ( | [out] BOOL * | bIsForced,
|  | [out] float * | fRed,
|  | [out] float * | fGreen,
|  | [out] float * | fBlue |
| ) |  |  |

Get the color of the edges.

Parameters:

  | bIsForced | [out] Is filled with boolean value which specifies whether this color should replace the value stored in each edge (true) or not (false)
  | fRed | [out] Is filled with the red color component.
  | fGreen | [out] Is filled with the green color component.
  | fBlue | [out] Is filled with the blue color component.

HRESULT IRdRenderAttributes::GetHighlightColor | ( | [out] BOOL * | bIsForced,
|  | [out] float * | fRed,
|  | [out] float * | fGreen,
|  | [out] float * | fBlue |
| ) |  |  |

Get the color of the face highlight.

Parameters:

  | bIsForced | [out] Is filled with boolean value which specifies whether this color should replace the value stored in each triangle (true) or not (false)
  | fRed | [out] Is filled with the red color component.
  | fGreen | [out] Is filled with the green color component.
  | fBlue | [out] Is filled with the blue color component.

HRESULT IRdRenderAttributes::GetInvisible | ( | [out, retval] BOOL * | bMode | ) |

Get visibility of the entity.

Returns:
  bMode [out, retval] Is filled with the boolean which specifies the visible mode (true) or invisible mode (false).

HRESULT IRdRenderAttributes::GetCastShadows | ( | [out, retval] BOOL * | bMode | ) |

Get shadow casting ability of the entity.

Returns:
  bMode [out, retval] Is filled with the boolean which specifies that shadows can be casted (true) or not casted (false).

HRESULT IRdRenderAttributes::GetReceiveShadows | ( | [out, retval] BOOL * | bMode | ) |

Get shadow receiving ability of the entity.

Returns:
  bMode [out, retval] Is filled with the boolean which specifies that shadows can be received (true) or not received (false).

HRESULT IRdRenderAttributes::GetLayerIndex | ( | [out, retval] RtDWORD * | dwIndex | ) |

Get the index of the geometry layer.

Returns:
  dwIndex [out, retval] Is filled with the layer of the geometry.

HRESULT IRdRenderAttributes::SetOverlayColor | ( | [in] BOOL | bEnable,
|  | [in] float | fRed,
|  | [in] float | fGreen,
|  | [in] float | fBlue,
|  | [in] float | fIntensity |
| ) |  |  |

Set the color of the object overlay.

Parameters:

  | bEnable | [in] Specifies overlay is enabled
  | fRed | [in] Specifies the red color component.
  | fGreen | [in] Specifies the green color component.
  | fBlue | [in] Specifies the blue color component.
  | fIntensity | [in] Specifies the intensity of the overlay.

HRESULT IRdRenderAttributes::GetOverlayColor | ( | [out] BOOL * | bEnable,
|  | [out] float * | fRed,
|  | [out] float * | fGreen,
|  | [out] float * | fBlue,
|  | [out] float * | fIntensity |
| ) |  |  |

Get the color of the object overlay.

Parameters:

  | bEnable | [out] Specifies overlay is enabled
  | fRed | [out] Specifies the red color component.
  | fGreen | [out] Specifies the green color component.
  | fBlue | [out] Specifies the blue color component.
  | fIntensity | [out] Specifies the intensity of the overlay.